----------------------------------------------------------------------------------------
--Refresh Logic
----------------------------------------------------------------------------------------

     if RefreshCounter = c_MaxRefreshCount  then
        RefreshCounter <= 0;
     elsif DoRefresh = '0' then
        RefreshCounter  <= RefreshCounter + 1;
     end if;
     if RefreshCounter = c_MaxRefreshCount - 50 then
        Ready <= '0';
        DoRefresh <= '1';
     end if;

     --If blocking for refresh and the current operation has drained
     if DoRefresh = '1'  and StateMc0.Run = '0' and StateMc1.Run = '0' then
         RefreshCounter <= 0;
         if ApplyRefresh = '1' then
           --AUTO REFRESH
           SdramRas  <= '0';
           SdramCas  <= '0';
           SdramWe   <= '1';
           --On both the chipsets
           SdramS    <= (others => '0');
           ApplyRefresh <= '0';
           EnRefreshPeriod <= '1';
           RefreshPeriodCntr <= 0;
         end if;

         if EnRefreshPeriod = '1' then
            if RefreshPeriodCntr = 6 then
               EnRefreshPeriod <= '0';
               Ready <= '1';
               DoRefresh <= '0';
               ApplyRefresh <= '1'; -- for the next Refresh command
            else
               RefreshPeriodCntr <= RefreshPeriodCntr + 1;
            end if;
         end if;
     end if;
