library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_UNSIGNED.all;
use IEEE.std_logic_arith.all;
entity queue is

  port (
    clk                 : in std_logic;
    reset_l             : in std_logic;
    flow_ID             : in std_logic_vector(15 downto 0);
    flow_valid          : in std_logic;
    tail                : out std_logic_vector(31 downto 0);
    tail_valid          : out std_logic;
    new_tail            : in std_logic_vector(31 downto 0);
    new_tail_valid      : in std_logic;
    head                : out STD_LOGIC_VECTOR(31 downto 0);
    head_valid          : out std_logic;
    new_head            : in std_logic_vector(31 downto 0);
    new_head_valid      : in std_logic;
    xmit_enable         : in std_logic;
    mod1_req            : out    std_logic;
    mod1_gr             : in   std_logic;
    mod1_rw             : out    std_logic;
    mod1_addr           : out    std_logic_vector(18 downto 0);
    mod1_d_in           : in   std_logic_vector(35 downto 0);
    mod1_d_out          : out    std_logic_vector(35 downto 0);
    mod2_req            : out    std_logic;
    mod2_gr             : in   std_logic;
    mod2_rw             : out    std_logic;
    mod2_addr           : out    std_logic_vector(18 downto 0);
    mod2_d_in           : in   std_logic_vector(35 downto 0);
    mod2_d_out          : out    std_logic_vector(35 downto 0);
    Initialize          : in std_logic
   );
end queue;

architecture behavioral of queue is
 

begin  -- behavioral
  
  

end behavioral;














